# PHP Weathermap v0.96a

#### Copyright © 2005-2009 Howard Jones, `howie@thingy.com`. (Website)

## Command-line options Reference

The unix `man`-style specification for weathermap is:
`./weathermap [--config configfile] [--output pngfile] [--htmloutput htmlfile] [--image-uri URI] [--debug] [--dumpafter] [--dumpconfig newconfigfile] [--sizedebug] [--define var=value]`
As you can see, all the parameters are optional! By default the script will look for a configuration file called `weathermap.conf`, and produce a PNG image file called `weathermap.png`.

`--output` is used to specify the name of the PNG file that is created. This can also now be specified inside the configuration file, instead.

`--config` is used to specify the name of the configuration file that is read.

`--debug` enables a lot of chatty debug output that may be useful in the event of a problem. In case `--debug` isn't verbose enough for you, `--dumpafter` dumps the whole of the internal structure used by weathermap at the end of a run. Note that particularly with PHP 4.x, it's possible that this will never end, as the way that references to objects are handled has changed between PHP 4 and PHP 5.

`--dumpconfig` writes out a new configuration file after reading in the specified one. This is useful when migrating older configuration files, as it will remove extra stuff made redundant by the newer 'default link and node' style of configuration. Obviously, you should be careful not to overwrite your existing configuration files!

`--sizedebug` simply tells weathermap to draw the links with themaximum bandwidth shown, not the current. It only works if BWLABEL is set to 'bits', but it is useful for checking you have the right sized links once you have finished your map.

`--define` allows you to define additional internal variables for this run. It is equivalent to a SET line in the global section of the map configuration file.

`--htmloutput` specifies the name for an HTML file to be generated to go with the PNG image file. This HTML can include imagemap and DHTML features to make your weathermap interactive to different degrees. This is governed by the `HTMLSTYLE` global setting, and `INFOURL` and `OVERLIBGRAPH` settings in NODE and LINK definitions. This can also now be specified inside the configuration file, instead.

`--image-uri` specifies the URI used in an HTML file generated. If you are generating HTML in a different directory from the one the image is created, then weathermap will probably get the <img src=""> tag wrong. This option allows you to override the contents of the src attribute, if you know better.